<?php
   	 require("../clases/Pacto.class.php");
	     $Objusu = new Pacto();	
         $accion=$_REQUEST['txtpara'];	
		// define("DIR_UPLOAD","D:/server/htdocs/sitsermpcp/fotos");	
	/////////////////////////////////// 		
      if($accion=="R")
	   {    	$pacto = $_REQUEST["convenio"];		
				$fecha=$_REQUEST['fechapacto'];	
				$estado=$_REQUEST['estado'];
		/////////////////////////////////////////////////////////////////
			if($Objusu->Crear($pacto,$fecha,$estado))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Guardado correctamente');location.href ='../manpacto.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	 
	 
	  if($accion=="M")
	   {    	$idpacto = $_REQUEST["idpacto"];
	   			$pacto = $_REQUEST["convenio"];		
				$fecha=$_REQUEST['fechapacto'];	
				$estado=$_REQUEST['estado'];
		/////////////////////////////////////////////////////////////////
			if($Objusu->Actualizar($idpacto,$pacto,$fecha,$estado))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Modificado correctamente');location.href ='../manpacto.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	
	 /////////////////////////////////////////////*
	  if($accion=="E")
	   {    	$idafi = $_REQUEST["ida"];		
				$idf=$_REQUEST['idf'];
		/////////////////////////////////////////////////////////////////
			if($Objusu->Eliminar($idf))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Eliinado correctamente');location.href ='../frmfalta.php?ida=$idafi';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	 
	
?>